<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbChargeTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_charge', function(Blueprint $table)
		{
			$table->foreign('account_id', 'fk_chg_acc')->references('id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('product_id', 'fk_chg_pdt')->references('id')->on('ab_product')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('service_id', 'fk_chg_svc')->references('id')->on('ab_service')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_charge', function(Blueprint $table)
		{
			$table->dropForeign('fk_chg_acc');
			$table->dropForeign('fk_chg_pdt');
			$table->dropForeign('fk_chg_svc');
		});
	}

}
